Bug 1134963 - subscrption-manager release --list fails on rhel66 against cdn.redhat.com with a traceback error
Summary: subscrption-manager release --list fails on rhel66 against cdn.redhat.com wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-08-28 14:05 UTC by Rehana
Modified: 2014-10-14 07:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 07:48:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description Rehana 2014-08-28 14:05:08 UTC
Description of problem:

Observed on rhel6.6 client (snapshot3 ) the release list fails with traceback on rhsm.log

Version-Release number of selected component (if applicable):
python-rhsm-1.12.5-1.el6.x86_64
subscription-manager-1.12.13-1.el6.x86_64
subscription-manager-firstboot-1.12.13-1.el6.x86_64
subscription-manager-gui-1.12.13-1.el6.x86_64

How reproducible:
3/3

Steps to Reproduce:
1.Install rhel66 client snapshot 3
2.Configure baseurl to cdn.redhat.com (ex: subscription-manager config --rhsm.baseurl=https://cdn.redhat.com )
3.Register client (username:stage_rhscl_dts_test/redhat), auto-attach subscription
4.Installed and consumer list 
[root@rhe66clientsnapshot3 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Desktop
Product ID:     68
Version:        6.6 Beta
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         12/31/2013
Ends:           12/31/2014

[root@rhe66clientsnapshot3 ~]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Developer Workstation, Professional
Provides:          Oracle Java (for RHEL Server)
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                   Red Hat Developer Toolset (for RHEL Server EUS)
                   Red Hat Enterprise Linux Workstation
                   Oracle Java (for RHEL Client)
                   Red Hat Enterprise Linux Desktop
                   Red Hat Software Collections (for RHEL Client)
                   Red Hat Beta
                   MRG Realtime
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
                   Red Hat Developer Toolset (for RHEL Server)
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                   Red Hat Software Collections Beta (for RHEL Client)
                   Red Hat Enterprise Linux High Availability (for RHEL Server)
                   Red Hat Enterprise Linux Server - Extended Update Support
                   Red Hat Developer Toolset (for RHEL Workstation)
                   Red Hat Enterprise Linux Server
                   Oracle Java (for RHEL Workstation)
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                   Oracle Java (for RHEL Server) - Extended Update Support
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat Software Collections (for RHEL Workstation)
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server)
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server)
                   Red Hat Software Collections Beta (for RHEL Workstation)
SKU:               RH3482727
Contract:          10470824
Account:           5480582
Serial:            4825910636024953707
Pool ID:           8a99f98146d4423f0146d9801454027f
Active:            True
Quantity Used:     1
Service Level:     DEV-PROFESSIONAL
Service Type:      L1-L3
Status Details:    
Subscription Type: Standard
Starts:            12/31/2013
Ends:              12/31/2014
System Type:       Virtual

5) executed release list 

# subscription-manager release --list
No release versions available, please check subscriptions.  --> notice no error on the command line

rhsm.log details:
----------

2014-08-28 19:31:20,963 [DEBUG] subscription-manager @plugins.py:569 - loaded plugin modules: []
2014-08-28 19:31:20,963 [DEBUG] subscription-manager @plugins.py:570 - loaded plugins: {}
2014-08-28 19:31:20,963 [DEBUG] subscription-manager @identity.py:131 - Loading consumer info from identity certificates.
2014-08-28 19:31:20,997 [DEBUG] subscription-manager @profile.py:97 - Loading current RPM profile.
2014-08-28 19:31:21,089 [INFO] subscription-manager @managercli.py:298 - Client Versions: {'python-rhsm': '1.12.5-1.el6', 'subscription-manager': '1.12.13-1.el6'}
2014-08-28 19:31:21,090 [INFO] subscription-manager @connection.py:659 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2014-08-28 19:31:21,090 [INFO] subscription-manager @connection.py:670 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-08-28 19:31:21,090 [INFO] subscription-manager @connection.py:666 - Using no auth
2014-08-28 19:31:21,090 [INFO] subscription-manager @connection.py:670 - Connection Built: host: subscription.rhn.stage.redhat.com, port: 443, handler: /subscription
2014-08-28 19:31:21,103 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2014-08-28 19:31:21,103 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/
2014-08-28 19:31:22,395 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=0a1ee0de-e986-48ff-82c9-03e3c07e2fb4
2014-08-28 19:31:22,397 [DEBUG] subscription-manager @connection.py:686 - Server supports the following resources:
2014-08-28 19:31:22,398 [DEBUG] subscription-manager @connection.py:687 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'pools': '/pools', 'consumertypes': '/consumertypes', 'crl': '/crl'}
2014-08-28 19:31:22,398 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2014-08-28 19:31:22,399 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/status
2014-08-28 19:31:23,638 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=9cd876b5-4ea6-412f-9868-5dcc6eee89fc
2014-08-28 19:31:23,641 [INFO] subscription-manager @managercli.py:309 - Server Versions: {'rules-version': '5.11', 'candlepin': '0.9.21-1', 'server-type': 'Red Hat Subscription Management'}
2014-08-28 19:31:23,642 [INFO] subscription-manager @managercli.py:274 - self.identity: <Identity, name=rhe66clientsnapshot3, uuid=008e4493-5dd8-4c54-af4b-e04a8f758fc3, consumer=consumer: name="rhe66clientsnapshot3", uuid=008e4493-5dd8-4c54-af4b-e04a8f758fc3>
2014-08-28 19:31:23,643 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2014-08-28 19:31:23,643 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/consumers/008e4493-5dd8-4c54-af4b-e04a8f758fc3
2014-08-28 19:31:29,607 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=31140a53-6aeb-4967-9178-c427dbf63099
2014-08-28 19:31:29,615 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, candlepin-stage.pem
2014-08-28 19:31:29,615 [DEBUG] subscription-manager @connection.py:446 - Making request: GET /subscription/
2014-08-28 19:31:31,145 [DEBUG] subscription-manager @connection.py:469 - Response: status=200, requestUuid=d0e1028d-1b27-4e9d-b692-39199a9c3fc4
2014-08-28 19:31:31,149 [DEBUG] subscription-manager @connection.py:686 - Server supports the following resources:
2014-08-28 19:31:31,149 [DEBUG] subscription-manager @connection.py:687 - {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'consumertypes': '/consumertypes', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2014-08-28 19:31:31,150 [DEBUG] subscription-manager @connection.py:223 - ContectConnection
2014-08-28 19:31:31,152 [DEBUG] subscription-manager @certdirectory.py:204 - Installed product IDs: ['68']
2014-08-28 19:31:31,301 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,302 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,302 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,302 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,302 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,302 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,303 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,304 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,305 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,306 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,307 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,308 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,309 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,309 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,309 [INFO] subscription-manager @release.py:184 - No matching products with RHEL product tags found
2014-08-28 19:31:31,309 [DEBUG] subscription-manager @connection.py:276 - Loading CA certificate: '/etc/pki/entitlement/4825910636024953707.pem'
2014-08-28 19:31:51,899 [ERROR] subscription-manager @release.py:132 - 
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/release.py", line 125, in get_releases
    data = self.content_connection.get_versions(listing_path)
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 294, in get_versions
    results = self._request("GET", handler, body="")
  File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 263, in _request
    response = conn.getresponse()
  File "/usr/lib64/python2.6/httplib.py", line 990, in getresponse
    response.begin()
  File "/usr/lib64/python2.6/httplib.py", line 391, in begin
    version, status, reason = self._read_status()
  File "/usr/lib64/python2.6/httplib.py", line 355, in _read_status
    raise BadStatusLine(line)
BadStatusLine

Actual results:
See above

Expected results:
Observed that https://cdn.redhat.com has a listing file and the 
below curl command is able to fetch release versions available using the entitlements currently attached on the system

# curl --stderr /dev/null --insecure --tlsv1 --cert /etc/pki/entitlement/4825910636024953707.pem --key /etc/pki/entitlement/4825910636024953707-key.pem https://cdn.redhat.com/content/dist/rhel/client/6/listing
6.1
6.2
6.3
6.4
6.5
6Client

Additional info:
This issue appears to be variant dependent

Comment 1 Adrian Likins 2014-09-08 21:45:49 UTC
I suspect this was being called by cdn issues.
The server took ~20s to respond:

2014-08-28 19:31:31,309 [DEBUG] subscription-manager @connection.py:276 - Loading CA certificate: '/etc/pki/entitlement/4825910636024953707.pem'
2014-08-28 19:31:51,899 [ERROR] subscription-manager @release.py:132 - 
                  ^--- ~20s

And the server likely closed the connection. httplib around line 355 is...

       if not line:
            # Presumably, the server closed the connection before
            # sending a valid response.
            raise BadStatusLine(line)


No error on the command line is intentional for 'release --list'

Comment 5 Rehana 2014-09-11 05:28:52 UTC
Adrian,

I will email you all the entitlement cert files.

Rehana.

Comment 7 William Poteat 2014-09-12 00:35:38 UTC
The CDN URL for server seems to be successful [as shown in Rehana's last comment #4] the workstation/client look like they are failing.

I see a similar outcome when I manually force the cdn URL to server even if the subscripton is for client.

Comment 16 Adrian Likins 2014-09-12 19:33:55 UTC
Created attachment 937090 [details]
strace output for phy system that works

Comment 20 Adrian Likins 2014-09-13 00:05:58 UTC
Having python-json installed changes the content url label string from being a unicode string to a python string. The url request does not encode the string before using it as the get "handler", and sending the unicode string either causes the request to not be finished, and therefore never send a response, or to throw a 403 sometimes. 

Still have no idea why this only effected virt guests.

A one-liner to encode the request string as utf8 or ascii seems to fix the 20s pause, but doesn't necessarily do the right thing, and sometimes then results in a 403.

Comment 21 Adrian Likins 2014-09-15 15:47:06 UTC
So, if python-simplejson is installed, it's default "loads" behavior is to
convert string objects to 'str' types:

http://simplejson.readthedocs.org/en/latest/#simplejson.loads

    If s is a str then decoded JSON strings that contain only ASCII characters     may be parsed as str for performance and memory reasons. If your code expects only unicode the appropriate solution is decode s to unicode prior to calling loads.

The builtin 'json' always decodes strings to unicode however. 

I'm unsure if this behavior difference has implications else where.


We need to update the url constructing code to encode unicode strings properly, and that should fix this issue for either json parser. We can also force
simplejson to decode any json string to unicode. [1]


[1] If that impacts simplejson performance, then it doesn't gain us anything over the built in json, and the optional support could be removed and only use the built in.

Comment 22 Adrian Likins 2014-09-15 17:25:50 UTC
pr for master at:

https://github.com/candlepin/subscription-manager/pull/1022

commit 5fa72fde4b4d2dbe98ef4d1288028b956ace9719
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Sep 15 13:06:26 2014 -0400

    1134963: Fix 'release --list' on some systems.
    
    Encode the url path we request the release 'listing'
    file from unicode. Depending if 'python-simplejson'
    is installed, the Content.url str could be a 'str' or
    a 'unicode'. The unicode string is not valid for
    inclusion in an URL. This was causing failed GET
    requests to the CDN, resulting in 'release --list'
    return no results after a 20s timeout.
    
    The exception from the timeout was causing a
    httplib.BadStatusLine exception to be logged.
    
    python-simplejson defaults to decoding any
    json strings that can be represented as 'str'
    to 'str' vs 'unicode'. The default 'json' decoder
    always returns unicode strings.
    
    For performance reasons, we attempt to use
    python-simplejson if installed, but it is
    not a package dep. If it's not installed, the
    'release --list' command would fail.

Comment 24 John Sefler 2014-09-15 21:31:18 UTC
Re-demonstrating failure with offending package installed (and python-simplejson removed)....

[root@jsefler-6 ~]# yum -q -y remove python-simplejson.x86_64 
Warning: RPMDB altered outside of yum.
[root@jsefler-6 ~]# rpm -q subscription-manager python-simplejson
subscription-manager-1.12.14-6.el6.x86_64
package python-simplejson is not installed
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com:443/subscription --baseurl=https://cdn.redhat.com --username=stage_test_12 --auto-attach
Password: 
The system has been registered with ID: 765784d0-317b-4226-af5e-779d3326d841 
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

[root@jsefler-6 ~]# subscription-manager repos --list | grep "Enabled:   1" -B3
Repo ID:   rhel-6-server-rpms
Repo Name: Red Hat Enterprise Linux 6 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/6/$releasever/$basearch/os
Enabled:   1
[root@jsefler-6 ~]# subscription-manager release --list
No release versions available, please check subscriptions.
[root@jsefler-6 ~]# 

FAILURE CONFIRMED: Expected the release list to be returned with the following data...

[root@jsefler-6 ~]# curl --stderr /dev/null --insecure --tlsv1 --cert /etc/pki/entitlement/1111212280999721487.pem --key /etc/pki/entitlement/1111212280999721487-key.pem https://cdn.redhat.com/content/dist/rhel/server/6/listing
6.1
6.2
6.3
6.4
6.5
6Server
[root@jsefler-6 ~]# 

------------------------------------------------------------------

Testing with corrected subscription-manager package installed (and python-simplejson removed)....

[root@jsefler-6 ~]# rpm -U http://download.devel.redhat.com/brewroot/packages/subscription-manager/1.12.14/7.el6/x86_64/subscription-manager-1.12.14-7.el6.x86_64.rpm
[root@jsefler-6 ~]# rpm -q subscription-manager python-simplejson
subscription-manager-1.12.14-7.el6.x86_64
package python-simplejson is not installed
[root@jsefler-6 ~]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
6.1
6.2
6.3
6.4
6.5
6Server
[root@jsefler-6 ~]# 

VERIFIED: The release list is now reported as expected (with python-simplejson removed).


Now let's install python-simplejson and test that that it still works...
[root@jsefler-6 ~]# yum -q -y install python-simplejson --enablerepo=latest-RHEL6
Warning: RPMDB altered outside of yum.
[root@jsefler-6 ~]# rpm -q subscription-manager python-simplejson
subscription-manager-1.12.14-7.el6.x86_64
python-simplejson-2.0.9-3.1.el6.x86_64
[root@jsefler-6 ~]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
6.1
6.2
6.3
6.4
6.5
6Server
[root@jsefler-6 ~]# 

VERIFIED: The release list is still reported as expected (with python-simplejson installed and removed).

Comment 25 errata-xmlrpc 2014-10-14 07:48:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.